Typo3 4 != Typo3 4 ???

  • Centi Centi
    T3PO
    0 x
    28 Beiträge
    0 Hilfreiche Beiträge
    09. 05. 2006, 13:10

    Ich wollte sr_feuser_register auf die aktuelle Version updaten. Da war ich schon mal erstaunt, diese Extension im Ext-Manager nicht zu finden. :o
    Also ging ich sie eben auf Typo3.org holen. -->Entpacken-->Hochladen-->installieren.... ja, wenn es ginge: Abbruch mit folgender Meldung:

    The running TYPO3 version (4.0) is lower than required (4.0.0)

    Ähm, was läuft da falsch?

    Und warum ist die Extension nicht mehr über den Extensionsmanager erhältlich?


  • 1

  • 0 x
    18. 05. 2006, 13:27

    Versuch mal folgendes.
    Markier das Kästchen "Ignore this version requirement"
    - Danach könntest Du u.U. auf das nächste Problem stoßen - sprich auf die Fehlermeldung

    SQL engine parse ERROR: Field type unknown in parseFieldDef()!: near "float unsigned NOT NULL default '0' "

    Wenn das der Fall ist, könnte eine diff Datei helfen, die auf
    bugs.typo3.org - bug-id 0002792 (Project: tx_dam) veröffentlicht wurde. hier mal der Inhalt

    1. --- class.t3lib_sqlparser.php.OLD 2006-03-08 09:23:45.000000000 +0100
    2. +++ class.t3lib_sqlparser.php 2006-03-08 09:34:32.000000000 +0100
    3. @@ -996,7 +996,7 @@
    4. $result = array();
    5.  
    6. // Field type:
    7. - if ($result['fieldType'] = $this->nextPart($parseString,'^(int|smallint|tinyint|mediumint|bigint|double|numeric|decimal|varchar|char|text|tinytext|mediumtext|longtext|blob|tinyblob|mediumblob|longblob)([[:space:],]+|\()')) {
    8. + if ($result['fieldType'] = $this->nextPart($parseString,'^(int|smallint|tinyint|mediumint|bigint|double|numeric|decimal|varchar|char|text|tinytext|mediumtext|longtext|blob|tinyblob|mediumblob|longblob|datetime|float)([[:space:],]+|\()')) {
    9.  
    10. // Looking for value:
    11. if (substr($parseString,0,1)=='(') {

    Viel Glück

  • 1